Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Tags

- Defined in: Tags.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tags()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> <constant> | Tags.ALL
<static> <constant> | Tags.ALPHABETICAL
<static> <constant> | Tags.OTHER

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| alphabet_macro()
| get(group)
| getAction()
| getChildElement(id)
| getGroup()
| getHeader()
| getPage()
| getPageSize()
| getPermission(action)
| header_macro(param)
| list_macro(param, skin)
| pager_macro()
| setGroup(group)
| setPage(page)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Tags()

## Field Detail

<static> <constant> Tags.ALL
<static> <constant> Tags.ALPHABETICAL
<static> <constant> Tags.OTHER

## Method Detail

- alphabet_macro()
- {TagHub[]} get(group)
  Parameters:
  {String} group
  Returns:
    {TagHub[]}
- {String} getAction()
  Returns:
    {String}
- {HopObject} getChildElement(id)
  Parameters:
  {Number} id
  Returns:
    {HopObject}
- {String} getGroup()
  Returns:
    {String}
- {String[]} getHeader()
  Returns:
    {String[]}
  See:
    Stories#getAdminHeader
    Images#getAdminHeader
- {Number} getPage()
  Returns:
    {Number}
- {Number} getPageSize()
  Returns:
    {Number}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- header_macro(param)
  Parameters:
  {Object} param
- list_macro(param, skin)
  Parameters:
  param
  skin
- pager_macro()
- setGroup(group)
  Parameters:
  {String} group
- setPage(page)
  Parameters:
  {Number} page